<template>
  <div
      id="maincontent"
       class="facts">
    <div class="factstitle">
      <h2>Digital Media Agency Facts</h2>
    </div>
    <div class="factscontent">
      <ol>
        <li><span>1</span>Every minute, 72 hours of content is uploaded to YouTube.</li>
        <li><span>2</span>There are more mobile phones on the planet than there are TVs.</li>
        <li><span>3</span>"123456" is the most common email password!</li>
        <li><span>4</span>It takes 26 hours for the average person to report a lost wallet, versus 68 minutes to report a lost phone.</li>
        <li><span>5</span>85% of smartphone/tablet owners use their devices while watching TV at least once during the month.</li>
      </ol>
    </div>
    <div id="submitted-posts-container">
      <h2 class="heading">Submitted Posts</h2>
      <p
        v-if="!stories.length"
        style="padding-top: 1rem;"
      >
        There are no submitted posts from the Kiosk yet. Check back later.
      </p>
      <div
        v-else
        class="submitted-posts">
        <div class="post"
        v-for="story in stories"
        :key="story.id">
        <div class="title">
          <h4>Title</h4>
          <p>{{ story.headline }}</p>
        </div>
        <div class="body">
          <h4>Body</h4>
          <p>{{ story.story }}</p>
        </div>
        <div class="submitted-by">
          <h4>Submitted By</h4>
          <p>{{ story.submitter }}</p>
        </div>
      </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    stories: Array
  }
}
</script>
